### Index

- foo (src/.../miscellaneous.ts)
- foo2 (src/.../typings.ts)
- LogClass (src/.../log.decorator.ts)
- LogClassWithArgs (src/.../log.decorator.ts)
- LogMethod (src/.../log.decorator.ts)
- LogProperty (src/.../log.decorator.ts)
- LogPropertyWithArgs (src/.../log.decorator.ts)
- Nothing (src/.../nothing.decorator.ts)
- sumFunction (src/.../miscellaneous.ts)
- sumFunction0 (src/.../miscellaneous.ts)
- Unnamed function (src/.../unnamed-function.ts)

### src/app/shared/miscellaneous/miscellaneous.ts

###

foo
`foo(status: string)`

A foo bar function. Test link for other class ListComponent

Parameters :

Name | Type | Optional | Default value | Description
status | `string` | No | `'toto'` | A status

Returns : `string`

sumFunction
`sumFunction(trackId, __namedParameters: {a: number, b: number, c: number}, test: string)`

Parameters :

Name | Type | Optional
trackId |  | No
a | `number` | No
b | `number` | No
c | `number` | No
test | `string` | No

sumFunction0
`sumFunction0(__namedParameters: {a: number, b: number, c: number})`

Parameters :

Name | Type | Optional | Default value
a | `number` | No | `0`
b | `number` | No | `1`
c | `number` | No | `2`

### src/typings.ts

###

foo2
`foo2(status: string)`

A foo bar function

Parameters :

Name | Type | Optional | Description
status | `string` | No | A status

### src/app/shared/decorators/log.decorator.ts

###

LogClass
`LogClass(target: any)`

Parameters :

Name | Type | Optional
target | `any` | No

LogClassWithArgs
`LogClassWithArgs(filter: string)`

Parameters :

Name | Type | Optional
filter | `string` | No

LogMethod
`LogMethod(target: any, key: string)`

Parameters :

Name | Type | Optional
target | `any` | No
key | `string` | No

LogProperty
`LogProperty(target: any, key: string)`

Parameters :

Name | Type | Optional
target | `any` | No
key | `string` | No

LogPropertyWithArgs
`LogPropertyWithArgs(alias: string)`

Parameters :

Name | Type | Optional
alias | `string` | No

Returns : `any`

### src/app/shared/decorators/nothing.decorator.ts

###

Nothing
`Nothing()`

### src/app/shared/miscellaneous/unnamed-function.ts

###

Unnamed function
`Unnamed function(value)`

Parameters :

Name | Optional
value | No

# results matching ""

# No results matching ""